## org.eclipse.datatools.modelbase.sql.query
Interface PredicateQuantifiedValueSelect

All Superinterfaces:
  Predicate, PredicateQuantified, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

All Known Implementing Classes:
  PredicateQuantifiedValueSelectImpl

    public interface PredicateQuantifiedValueSelect

extends PredicateQuantified

A representation of the model object 'SQL Predicate Quantified Value Select'.

The following features are supported:

- `Quantified Type`
- `Comparison Operator`
- `Query Expr`
- `Value Expr`

See Also:
  `SQLQueryModelPackage.getPredicateQuantifiedValueSelect()`

Method Summary
`PredicateComparisonOperator` `getComparisonOperator()` Returns the value of the 'Comparison Operator' attribute.
`PredicateQuantifiedType` `getQuantifiedType()` Returns the value of the 'Quantified Type' attribute.
`QueryExpressionRoot` `getQueryExpr()` Returns the value of the 'Query Expr' containment reference.
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`void` `setComparisonOperator(PredicateComparisonOperator value)` Sets the value of the '`Comparison Operator`' attribute.
`void` `setQuantifiedType(PredicateQuantifiedType value)` Sets the value of the '`Quantified Type`' attribute.
`void` `setQueryExpr(QueryExpressionRoot value)` Sets the value of the '`Query Expr`' containment reference.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getQuantifiedType

    PredicateQuantifiedType getQuantifiedType()

  Returns the value of the 'Quantified Type' attribute. The literals are from the enumeration `PredicateQuantifiedType`.

  If the meaning of the 'Quantified Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Quantified Type' attribute.
  See Also:
    `PredicateQuantifiedType`, `setQuantifiedType(PredicateQuantifiedType)`, `SQLQueryModelPackage.getPredicateQuantifiedValueSelect_QuantifiedType()`

### setQuantifiedType

    void setQuantifiedType(PredicateQuantifiedType value)

  Sets the value of the '`Quantified Type`' attribute.

  Parameters:
    `value` - the new value of the 'Quantified Type' attribute.
  See Also:
    `PredicateQuantifiedType`, `getQuantifiedType()`

### getComparisonOperator

    PredicateComparisonOperator getComparisonOperator()

  Returns the value of the 'Comparison Operator' attribute. The literals are from the enumeration `PredicateComparisonOperator`.

  If the meaning of the 'Comparison Operator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Comparison Operator' attribute.
  See Also:
    `PredicateComparisonOperator`, `setComparisonOperator(PredicateComparisonOperator)`, `SQLQueryModelPackage.getPredicateQuantifiedValueSelect_ComparisonOperator()`

### setComparisonOperator

    void setComparisonOperator(PredicateComparisonOperator value)

  Sets the value of the '`Comparison Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Comparison Operator' attribute.
  See Also:
    `PredicateComparisonOperator`, `getComparisonOperator()`

### getQueryExpr

    QueryExpressionRoot getQueryExpr()

  Returns the value of the 'Query Expr' containment reference. It is bidirectional and its opposite is '`Quantified Value Select Right`'.

  If the meaning of the 'Query Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expr' containment reference.
  See Also:
    `setQueryExpr(QueryExpressionRoot)`, `SQLQueryModelPackage.getPredicateQuantifiedValueSelect_QueryExpr()`, `QueryExpressionRoot.getQuantifiedValueSelectRight()`

### setQueryExpr

    void setQueryExpr(QueryExpressionRoot value)

  Sets the value of the '`Query Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Expr' containment reference.
  See Also:
    `getQueryExpr()`

### getValueExpr

    QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference. It is bidirectional and its opposite is '`Quantified Value Select Left`'.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateQuantifiedValueSelect_ValueExpr()`, `QueryValueExpression.getQuantifiedValueSelectLeft()`

### setValueExpr

    void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.